import objectdraw.*;
import java.awt.*;
import java.util.Scanner;

/*
 * The main program and WindowController for the TerminalDraw
 * lab.  The program MUST be invoked using the main method
 * in this class rather that with "Run Controller" to start
 * the WindowController, as the main method is what sets up to 
 * be able to use the command-line input.
 *
 * Starter code by:
 * Jim Teresco, Siena College, CSIS 120, Spring 2012
 * Updated for The College of Saint Rose, CSC 252, Fall 2013
 *
 */

public class TerminalDraw extends WindowController {

    private DrawingManager m;
    private static CommandLine cmdLine;
    private static boolean startedMain = false;

    public void begin() {

        if (startedMain) {
            m = new DrawingManager(canvas);
            cmdLine = new CommandLine();
        }
        else {
            System.err.println("Don't start with \"Run Controller\"!, run the main method!");
            new Text("Don't start with \"Run Controller\"!, run the main method!", 0, 0, canvas);
        }
    }

    public void onMousePress(Location point) {

    }

    public void onMouseRelease(Location point) {

    }

    public void onMouseDrag(Location point) {

    }

    public static void main(String args[]) 
    throws InterruptedException {

        startedMain = true;
        System.out.println("Welcome to TerminalDraw!");
        System.out.println("Please type \"quit\" in this window before closing the canvas or terminal.");
        
        new TerminalDraw().startController(600,600);

        // allow time for things to get going before
        // we wait to see if it's all done
        Thread.sleep(2000);

        // we need to keep this main method going
        // to keep BlueJ happy - otherwise we can't
        // interact with the Terminal window, so we
        // wait until the CommandLine class instance
        // says it's done
        while (cmdLine.isActive()) {
            Thread.sleep(1000);
        }

    }
}
